Showing results for 
Search instead for 
Do you mean 
Reply
Solved! Go to solution

installing NX9 and running with NX10

[ Edited ]

I normally use NX10 and I am trying to setup  NX9.0.3/MP2

 

What is the correct order of installation/updating? Do I need to install all previous Maintenance packs/releases to update to 9.0.3/MP2?

 

Here is what I have done so far

 

installed NX 9.0.0 64 bit

installed Maintenance release 9.0.3 (did not install 9.0.2 or 9.0.1)

trying to install Maintenance Pack 9.03.mp02 (getting an error message)

 

It is my understanding that if I want to run NX9 and NX10 from the same computer then I have to modify the environment variables and the ugii_env.dat file. Is that correct? I installed NX10 prior to installing NX9

 

 

 

 

7 REPLIES

Re: installing NX9 and running with NX10

In general, it is recommended to install NX versions "in order" (i.e. in your case 9 before 10)

Note all you need installed is the base release, you can come back later to install MR9.0.3 after NX10 is installed.

 

Yes, all you need is the *last* MR and *last* MP for that MR (MRs and MPs are cumulative, but note that MPs are tied to specific MRs)

 

How did you start the MP - using the .BAT or the .EXE?

Ken Akerboom Sr CAx Systems Engr, Moog, Inc.
Production: NX10.0.3.5 MP5 + patch/TC11.2
I'd rather be e-steemed than e-diseaseled


Re: installing NX9 and running with NX10

[ Edited ]

Ken_A wrote:

In general, it is recommended to install NX versions "in order" (i.e. in your case 9 before 10)

Note all you need installed is the base release, you can come back later to install MR9.0.3 after NX10 is installed.

 

Yes, all you need is the *last* MR and *last* MP for that MR (MRs and MPs are cumulative, but note that MPs are tied to specific MRs)

 

How did you start the MP - using the .BAT or the .EXE?


Hi Ken, thanks for the reply. I used the .exe file for both the MR 9.0.3 (worked fine) and then 9.0.3 MP2 (gave me an error)

 

I just tried the bat file with 9.0.3 MP2 but it still gives me an error. If you think it will help then I'll try uninstalling NX10 and re installing NX9

 

In general, what is the correct order for installing maintenance releases and maintenance packs?

ex: 9.0.1 MR then 9.0.1 MP1, then 9.0.1MP2, then 9.0.1 MP3, 9.0.2 MR, 9.0.2MP1 and so on..

Solution
Solution
Accepted by topic author AlexLee
‎08-26-2015 04:32 AM

Re: installing NX9 and running with NX10

Maintenance Packs (MP) are cumulative, as you can see in the release letter.

For NX 9.0.3, I would install the latest (MP6) that includes everything in MP1-6. 

The order would be NX9, NX 9.0.3 MR, NX 9.0.3 MP6.

 

You cannot "upgrade" from NX10 to NX9. If you want to make the change to an older release, I would uninstall NX10 first.

 

It is possible to have multiple versions installed (I have 6). some things to look out for:

  • Install in different folders (accept the default locations)
  • Don't double-click files to open NX - you may not get the verison you want.
  • Be aware of compatibility - for example CAM 9.0.3 P2 parts migrate to 10.0.1 or newer.
  • When you install a MR or MP, be sure to set the UGII_BASE_DIR correctly before you start the update.
  • Come up with a system to start each. I use shortcuts with different "Start in" folders, John Baker uses batch files, I'm sure there are more.
Mark Rief
Retired Siemens
Solution
Solution
Accepted by topic author AlexLee
‎08-26-2015 04:32 AM

Re: installing NX9 and running with NX10

To to state it more clearly...base release plus *one* MR plus *one* MP

 

So if you want 9.0.3 MP1:

- Install base NX9

- Install MR3

- Install MP1 (the "MP1 for MR3", not the "MP1 for MR2" or "MP1 for MR1")

 

Only if you want to be able  to run several variants of one version (e.g. you want to be able to run 9.0.1 *AND* 9.0.2 *AND* 9.0.3) to you need to install other MRs/MPs.

Ken Akerboom Sr CAx Systems Engr, Moog, Inc.
Production: NX10.0.3.5 MP5 + patch/TC11.2
I'd rather be e-steemed than e-diseaseled


Solution
Solution
Accepted by topic author AlexLee
‎08-26-2015 04:32 AM

Re: installing NX9 and running with NX10

The error you're getting when trying to update is because you've got no write permissions to the folder where NX is installed.

Try to log in as the user that installed NX9 or right click the .bat or .exe for the MR/MP that you are trying to run and select 'Run as Administator'.

 

 

 

Anthony Galante - Senior Support Engineer - PhoenxPLM (Australia & New Zealand Siemens Solutions Partner)
http://www.phoenxplm.com.au/email/2014_signature/signature_videoCenter.jpg

Re: installing NX9 and running with NX10

Thanks running the .exe/bat file as administrator solved the issue with the MP3 update. I will probably go ahead and uninstall NX10 anyways though

Re: installing NX9 and running with NX10

Unless you need to save space why remove NX10?

I have 22 versions of NX from NX3 to NX10 on my system so I can test customer issues(I work tech support for Australia & New Zealand as we have no GTAC here).

They all live side by side and don't interfere with each other.

 

Anthony Galante - Senior Support Engineer - PhoenxPLM (Australia & New Zealand Siemens Solutions Partner)
http://www.phoenxplm.com.au/email/2014_signature/signature_videoCenter.jpg